Bug 486084 - SELinux is preventing sqlplus
SELinux is preventing sqlplus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 05:10 EST by Max
Modified: 2009-11-18 06:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of setroubleshoot (3.32 KB, text/plain)
2009-02-18 05:14 EST, Max
no flags Details

  None (edit)
Description Max 2009-02-18 05:10:44 EST
Description of problem:
SELinux is preventing sqlplus from loading /opt/app/oracle/server/product/11.1.0/lib/libnnz11.so which requires text relocation.......and other shared libraries

Version-Release number of selected component (if applicable):
libselinux-2.0.73-1.fc10.i386

How reproducible:
set oracle environment
sqlplus

Steps to Reproduce:
1. set oracle environment
2. sqlplus
3.
  
Actual results:
error message

Expected results:
login for sqlplus

Additional info:
Comment 1 Max 2009-02-18 05:14:35 EST
Created attachment 332352 [details]
Output of setroubleshoot
Comment 2 Miroslav Grepl 2009-02-18 08:11:48 EST
For now, you execute:

chcon -t textrel_shlib_t /opt/app/oracle/server/product/11.1.0/lib/*.so


everything should work.
Comment 3 Miroslav Grepl 2009-02-19 11:30:59 EST
Fixed in selinux-policy-3.5.13-46.fc10
Comment 4 Bug Zapper 2009-11-18 06:08:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.